﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             x:Class="PracticaDiagnostico.Views.PageIgualesView">

	<Grid Margin="20" ColumnDefinitions=".25*, .25*, .25*" RowDefinitions=".15*, .75*, .15*">
		<TextBlock Grid.Column="0" Grid.ColumnSpan="5" Grid.Row="0" FontSize="20">
			Dadas dos imágenes decir si son iguales o diferentes.
Nota: Avalonia en principio no tiene clases para comparar imagenes a nivel de pixel, 
esta demo muestra una comparativa tanto en tamaño como en resolución
		</TextBlock>

		<StackPanel Margin="0 20" Grid.Column="0" Grid.Row="1">
			<TextBlock FontSize="20" >Imagen A</TextBlock>

			<Image MinHeight="200" MaxHeight="350" Source="{Binding ImageA}}"></Image>

			<Button Content="Seleccionar" Command="{Binding OnLoadClick}" CommandParameter="ImageA"/>
		</StackPanel>

		<StackPanel Margin="0 20" Grid.Column="1" Grid.Row="1">
			<TextBlock FontSize="20" >Imagen B</TextBlock>

			<Image MinHeight="200" MaxHeight="350" Source="{Binding ImageB}"></Image>

			<Button Content="Seleccionar" Command="{Binding OnLoadClick}" CommandParameter="ImageB"/>
		</StackPanel>
		
		<Button Margin="0 10" Grid.Column="1" Grid.Row="2" Content="Comparar" IsEnabled="{Binding ConvertEnabled, Mode=TwoWay}" Command="{Binding OnCalculateClick}"/>

	</Grid>
</UserControl>
